#$Id: Makefile.PL,v 1.28 2004/06/25 20:13:15 james Exp $
#This package is released under the GNU General Public License.
#You should have recieved a copy of the GPL with it.
# Copyright (c) 2000 HLR http://www.pcxperience.org  All rights reserved.
require 5.004;
use strict;

my %modules = (
  "Portal" => "0.4.00"
  , "Pg" => 0 
  , "DBD::Pg" => 0
  , "Finance::Quote" => 0
  , "Date::Calc" => 0
  , "Mail::Sender" => "0.8.00"
  , "MIME::Base64" => 0
  , "MIME::QuotedPrint" => 0
  , "Payroll" => "0.5"
  );

my $NAME    = 'Portal::Accounting';
my $DISTNAME = "libpcxportal-xiwa-perl";
eval "use $NAME;";

# Check for non-standard modules that are used by this library.
$| = 1;
my $missing_modules = 0;

foreach my $module (keys %modules)
{
  print "\nChecking for $module...........";
  if ($modules{$module} ne "0")
  {
    eval ("require $module; $module->VERSION('$modules{$module}');");
    if ($@) {
      print " failed\n";
      print $@;
      print "Version mismatch! Required: ".$modules{$module}."     Found:";
      print eval ($module."->VERSION ;");
      print "\n";
      $missing_modules++;
      print <<EOT;
$@
The $module module must be installed.

EOT
      sleep(2);  # Don't hurry too much
    } else {
      print " ok\n";
    }
  }
  else
  {
    eval ("require $module;");
    if ($@) {
      print " failed\n";
      $missing_modules++;
      print <<EOT;
  $@
  Missing module $module.

EOT
      sleep(2);  # Don't hurry too much
    } else {
      print " ok\n";
    }
  }
}

if ($missing_modules)
{
  print <<EOT;

The missing modules can be obtained from CPAN.  Visit
<URL:http://www.perl.com/CPAN/> to find a CPAN site near you.

EOT
  exit(1);
}

use ExtUtils::MakeMaker;
# See lib/ExtUtils/MakeMaker.pm for details of how to influence
# the contents of the Makefile that is written.

WriteMakefile(
    'NAME'      => $NAME,
    'VERSION_FROM'   => "Accounting.pm", #$VERSION,
    'DISTNAME'  => $DISTNAME,
    'PREREQ_PM' => \%modules,
    'AUTHOR'    => 'J, J, and J; The Xperience, Inc. Crew <xiwa@pcxperience.com>',
    'ABSTRACT'  => 'XIWA Application Modules.',
);
